#### D.4.14.1 modPrimdecGTZ

Procedure from library `modprimdec.lib` (see modprimdec_lib).

Usage:
  modPrimdecGTZ(I, #); I ideal, # an optional list which is either empty (not entered) or consists of precisely one integer which is 0 or 1.

Assume:
  The basering of I is defined over the rationals.

Return:
  A primary decomposition of I.

Note:
  - The final result will be checked for correctness if # is either empty (not entered) or if #[1] = 1. Without the check, the functions reurns a result which is correct with high probability.
  - For local orderings, the result represents a primary decomposition in the localization of the polynomial ring, not in the power series ring.

Example:

    LIB "modprimdec.lib";
    ring R = 0, (x,y), dp;
    ideal I = x9y2+x10, x2y7-y8;
    modPrimdecGTZ(I);
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=y-1
    ==>       _[2]=x+1
    ==>    [2]:
    ==>       _[1]=y-1
    ==>       _[2]=x+1
    ==> [2]:
    ==>    [1]:
    ==>       _[1]=y2+y+1
    ==>       _[2]=x-y-1
    ==>    [2]:
    ==>       _[1]=y2+y+1
    ==>       _[2]=x-y-1
    ==> [3]:
    ==>    [1]:
    ==>       _[1]=y12
    ==>       _[2]=x2y7-y8
    ==>       _[3]=x9y2+x10
    ==>    [2]:
    ==>       _[1]=y
    ==>       _[2]=y2+10x

User manual for Singular version 4.4.1, 2025, generated by texi2html.